Loading...
Searching...
No Matches
scaledidmatrix.hh File Reference

This file implements a quadratic matrix of fixed size which is a multiple of the identity. More...

`#include <cmath>`
`#include <cstddef>`
`#include <complex>`
`#include <iostream>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/fmatrix.hh>`
`#include <dune/common/diagonalmatrix.hh>`
`#include <dune/common/ftraits.hh>`

Go to the source code of this file.

## Classes

class | Dune::ScaledIdentityMatrix< K, n >
| A multiple of the identity matrix of static size. More...
struct | Dune::DenseMatrixAssigner< DenseMatrix, ScaledIdentityMatrix< field, N > >
struct | Dune::FieldTraits< ScaledIdentityMatrix< K, n > >

## Namespaces

namespace | Dune

## Detailed Description

This file implements a quadratic matrix of fixed size which is a multiple of the identity.